## maxima 5.49.0+dsfg

=== crosscompile-windows/sbcl/CMakeLists.txt ===
# CMake file for crosscompiling Maxima/wxMaxima for Windows
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) by Wolfgang Dautermann
# License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# If you want to use a updated version of a program,
# update the version number and the checksum.
# If no further patches are needed, you should get a
# updated setup-file automatically.

if(BUILD_64BIT)
    set(SBCLVERSION "2.5.11")
    set(SBCL_MD5 "8227761b167a94813e21c978dcc8e0d1")
    set(SBCL_INSTALLERNAME "sbcl-${SBCLVERSION}-x86-64-windows-binary.msi")
else()
    set(SBCLVERSION "2.3.2")
    set(SBCL_MD5 "d909b01d9f520df639dbd49709735ee6")
    set(SBCL_INSTALLERNAME "sbcl-${SBCLVERSION}-x86-windows-binary.msi")
endif()

set(SBCL_URL "https://prdownloads.sourceforge.net/sbcl/${SBCL_INSTALLERNAME}")

externalproject_add(sbcl
  URL "${SBCL_URL}"
  DOWNLOAD_DIR ${CMAKE_SOURCE_DIR}/downloads
  URL_MD5 ${SBCL_MD5}
  DOWNLOAD_NO_EXTRACT 1
  CONFIGURE_COMMAND ""
  BUILD_COMMAND cd ${CMAKE_BINARY_DIR}/sbcl && ${CMAKE_SOURCE_DIR}/sbcl.sh
  INSTALL_COMMAND ""
)

ExternalProject_Add_Step(sbcl extract
  COMMENT "Performing extraction step for 'SBCL'"
  COMMAND mkdir -p ${CMAKE_BINARY_DIR}/sbcl && cd ${CMAKE_BINARY_DIR}/sbcl && ${SEVENZIP_EXE} x -y ${CMAKE_SOURCE_DIR}/downloads/${SBCL_INSTALLERNAME}
  DEPENDEES download
  DEPENDERS patch
)

install(FILES ${CMAKE_BINARY_DIR}/sbcl/sbcl.exe ${CMAKE_BINARY_DIR}/sbcl/sbcl.core DESTINATION bin COMPONENT SBCL)
install(DIRECTORY ${CMAKE_BINARY_DIR}/sbcl/contrib DESTINATION bin COMPONENT SBCL)

=== crosscompile-windows/tcltk/CMakeLists.txt ===
# CMake file for crosscompiling Maxima/wxMaxima for Windows
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) by Wolfgang Dautermann
# License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# If you want to use a updated version of a program,
# update the version number and the checksum.
# If no further patches are needed, you should get a
# updated setup-file automatically.

set(TCLVERSION "9.0.3")
set(TKVERSION  "9.0.3")

set(TCL_MD5 "820aeed1e4e1a89038d0302d2f839e84")
set(TK_MD5  "72f9c4005eaaf3b9c994bda74324c28e")

set(TCL_URL "https://prdownloads.sourceforge.net/tcl/tcl${TCLVERSION}-src.tar.gz")
set(TK_URL  "https://prdownloads.sourceforge.net/tcl/tk${TKVERSION}-src.tar.gz")


# build tcl/tk (required for xmaxima and the Lisp selection tool)
externalproject_add(tcl
  URL "${TCL_URL}"
  DOWNLOAD_DIR ${CMAKE_SOURCE_DIR}/downloads
  URL_MD5 ${TCL_MD5}
  CONFIGURE_COMMAND ${CMAKE_BINARY_DIR}/tcltk/tcl-prefix/src/tcl/win/configure --build=${BUILDHOST} --host=${HOST} --disable-shared --prefix=${WINDOWS_DRIVELETTER}:/maxima-${MAXIMAVERSION}
  BUILD_COMMAND $(MAKE)
        COMMAND $(MAKE) install
)
install(DIRECTORY ${CMAKE_BINARY_DIR}/tcltk/tcl-prefix/src/tcl-build/${WINDOWS_DRIVELETTER}:/maxima-${MAXIMAVERSION}/ DESTINATION . COMPONENT TclTk)

externalproject_add(tk
  URL "${TK_URL}"
  DOWNLOAD_DIR ${CMAKE_SOURCE_DIR}/downloads
  URL_MD5 ${TK_MD5}
  DEPENDS tcl
  CONFIGURE_COMMAND ${CMAKE_BINARY_DIR}/tcltk/tk-prefix/src/tk/win/configure --build=${BUILDHOST} --host=${HOST} --disable-shared --with-tcl=${CMAKE_BINARY_DIR}/tcltk/tcl-prefix/src/tcl-build/${WINDOWS_DRIVELETTER}:/maxima-${MAXIMAVERSION}/lib --prefix=${WINDOWS_DRIVELETTER}:/maxima-${MAXIMAVERSION}
  BUILD_COMMAND $(MAKE)
        COMMAND $(MAKE) install
)
install(DIRECTORY ${CMAKE_BINARY_DIR}/tcltk/tk-prefix/src/tk-build/${WINDOWS_DRIVELETTER}:/maxima-${MAXIMAVERSION}/ DESTINATION . COMPONENT TclTk)

=== debian/changelog ===
maxima (5.49.0+dsfg-3) unstable; urgency=medium

  * Bug fix: "install-info: warning: no info dir entry in
    `/usr/share/info/maxima-index-html.lisp.gz&#39;", thanks to
    Jörg-Volker Peetz (Closes: #1072972).
  * Bug fix: "fails to build against gcl27 2.7.1-10", thanks to Jerome
    BENOIT (Closes: #1128630).
  * Bug fix: "install-info: warning: no info dir entry in
    `/usr/share/info/maxima-index-html.lisp.gz&#39;", thanks to
    Jörg-Volker Peetz (Closes: #1072972).
  * Bug fix: "Warning (comp) appears every startup of maxima after newly
    launching emacs", thanks to Takeshi Soejima (Closes: #1099654).

 -- Camm Maguire <camm@debian.org>  Sun, 22 Feb 2026 12:11:33 -0500

maxima (5.49.0+dsfg-2) unstable; urgency=medium

  * Fix MVERS in debian/rules

 -- Camm Maguire <camm@debian.org>  Thu, 12 Feb 2026 12:18:33 +0000

maxima (5.49.0+dsfg-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Wed, 11 Feb 2026 12:10:08 +0000

=== debian/control ===
Source: maxima
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Homepage: https://maxima.sourceforge.io/
Build-Depends: gcl27 ( >= 2.7.1-11 ) , texinfo, automake, debhelper-compat ( = 13 ), autoconf, gawk | awk, texlive-latex-recommended, sharutils, python3, tex-common
Standards-Version: 4.7.2

Package: maxima
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Recommends: maxima-share, gnuplot-x11
Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs, wish
Description: Computer algebra system -- base system
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains the main executables and base system files.

Package: maxima-src
Architecture: all
Depends: ${misc:Depends}
Description: Computer algebra system -- source code
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains the lisp source code.

Package: maxima-test
Architecture: all
Depends: maxima (>= ${binary:Version}), maxima-src (>= ${source:Version}), maxima-share (>= ${source:Version}), ${misc:Depends}
Description: Computer algebra system -- test suite
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains a build integrity test suite.

Package: maxima-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: maxima (<< ${binary:Version})
Description: Computer algebra system -- documentation
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains most of the documentation.

Package: xmaxima
Architecture: any
Depends:  tk, maxima (>= ${binary:Version}), maxima-doc (>= ${source:Version}), maxima-test (>= ${source:Version}), ${misc:Depends}, sensible-utils
Recommends: mailcap, postscript-viewer, pdf-viewer
Suggests: texmacs
Replaces: maxima (<< ${binary:Version})
Description: Computer algebra system -- x interface
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains an X Windows interface using the tcl/tk 
 libraries. 

Package: maxima-emacs
Depends:  maxima (>= ${binary:Version}), emacs-gtk | emacsen, mmm-mode, emacsen-common (>= 1.4.14), texlive-binaries, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
Recommends: mailcap, postscript-viewer, pdf-viewer
Architecture: all
Replaces: maxima (<< ${binary:Version})
Description: Computer algebra system -- emacs interface
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains a tradition emacs interface, together with a
 newer imaxima interface supporting inline imaging and HTML export
 under a specialized imath mode.

Package: maxima-share
Architecture: all
Depends:  maxima (>= ${binary:Version}), ${misc:Depends}
Replaces: maxima (<< ${binary:Version})
Description: Computer algebra system -- extra code
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains a set of contributed routines and add-on 
 packages.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#FIXME remove when converting to dh
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

SAVES:=interfaces/emacs/imaxima/version.texi interfaces/emacs/imaxima/stamp-vti \
       interfaces/emacs/imaxima/imaxima.info src/autoconf-variables.lisp \
       doc/info/texi2html.init \
       doc/info/category-macros.texi

debian/save/%: %
	[ -e $@ ] || (mkdir -p $(@D) && cp $< $@)

MVERS:=$(shell head -n 1 debian/changelog | cut -f2 -d\  | tr -d '()' | cut -f1 -d- | cut -f1 -d+)
build: build-arch build-indep
build-arch: build-stamp
build-indep: #build-stamp
build-stamp: $(addprefix debian/save/,$(SAVES))
	dh_testdir

	dh_autoreconf

	echo '(progn (setq si::*optimize-maximum-pages* nil)(when (fboundp (quote si::sgc-on)) (fmakunbound (quote si::sgc-on)))(si::save-system "gcl"))' | GCL_ANSI=t gcl27

	git_found=false PATH=$$(pwd):$$PATH GCL_ANSI=t ./configure --enable-gcl \
		--prefix=/usr \
		--libexec=/usr/lib \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info 

	cp debian/favicon.ico doc/info/figures/

	rm -f src/sys-proclaim.lisp

	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)

#	touch -r src/share-subdirs_autogenerated.lisp src/share-subdirs.lisp
	touch -r src/gcl-depends.mk src/binary-gcl/maxima

	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t)(si::gbc t)(load "debian/11.p")(si::save-system "foo")' | \
	HOME=$$(pwd) \
	./maxima-local && mv foo src/binary-gcl/maxima


	chmod +x ./maxima-local
	touch tests/tests-gcl.log
	HOME=$$(pwd) \
	./maxima-local -g --lisp=gcl --batch-string="run_testsuite(share_tests=true);"  >tmp 2>&1 & \
		j=$$! ; echo Waiting on pid $$j ; \
		tail -f --pid=$$j --retry tests/tests-gcl.log tmp & wait $$j

	touch tmp
	cat tmp >debian/test_results.out

	rm -f tmp

	echo ':lisp (setq si::*readline-prefix* "MAXIMA::$$")(setq maxima::*maxima-started* nil maxima::*maxima-index-dir* "/usr/share/doc/maxima/info/" si::*allow-gzipped-file* t)(si::save-system "foo")' | \
	HOME=$$(pwd) \
	./maxima-local && mv foo src/binary-gcl/maxima

	touch build-stamp

BOOK:=debian/maximabook-19-Sept-2004.pdf

clean:
	dh_testdir
	dh_testroot

	! [ -e Makefile ] || $(MAKE) clean
	! [ -d debian/save ] || (cd debian/save; find -type f -exec cp {} ../../{} \; ; \
				 cd .. ; rm -rf save)
	rm -rf $(BOOK) src/binary-gcl binary gcl src/sys-proclaim.lisp tests/tests-gcl.log
	rm -rf admin/Makefile config.log config.status crosscompile-windows/Makefile\
		crosscompile-windows/wxwidgets/Makefile demo/Makefile doc/emaxima/Makefile\
		doc/info/de/Makefile doc/info/de.utf8/Makefile doc/info/es/include-maxima.texi\
		doc/info/es/Makefile doc/info/es.utf8/Makefile\
		doc/info/Makefile doc/info/pt_BR/Makefile doc/info/pt_BR.utf8/Makefile\
		doc/info/pt/include-maxima.texi doc/info/pt/Makefile doc/info/pt.utf8/Makefile\
		doc/intromax/Makefile doc/Makefile doc/man/Makefile doc/man/maxima.1 doc/man/ru/maxima.1\
		doc/share/Makefile interfaces/emacs/emaxima/Makefile interfaces/emacs/imaxima/Makefile\
		interfaces/emacs/Makefile interfaces/emacs/misc/Makefile interfaces/Makefile\
		interfaces/xmaxima/autoconf-variables.tcl interfaces/xmaxima/doc/figures/Makefile\
		interfaces/xmaxima/doc/Makefile interfaces/xmaxima/Makefile interfaces/xmaxima/msgs/Makefile\
		interfaces/xmaxima/Tkmaxima/Header.tcl interfaces/xmaxima/win32/Makefile interfaces/xmaxima/xmaxima\
		lisp-utils/Makefile locale/Makefile Makefile maxima.iss maxima-local maxima.spec plotting/Makefile\
		plotting/mgnuplot share/contrib/integration/Makefile share/contrib/Makefile\
		share/contrib/maxima-odesolve/Makefile share/draw/Makefile share/logic/Makefile share/Makefile\
		src/gcl-depends.mk src/Makefile src/maxima src/maxima.bat src/rmaxima tests/Makefile xmaxima-local\
		interfaces/xmaxima/Tkmaxima/tclIndex desktopintegration/Makefile
	rm -rf bin/interfaces bin/doc bin/src bin/xmaxima
	rm -f doc/info/figures/Makefile
	rm -f tmp
	rm -f src/gcl-depends.mk.tmp src/startmaxima_abcl.sh
	rm -f tests/test.sh
	rm -f doc/info/build_html.sh # doc/info/extract_categories.sh
	cd doc/info && rm -f  Affine.html  Bernstein_002dpkg.html  Bug-Detection-and-Reporting.html  Command-Line.html  Data-Types-and-Structures.html \
		Debugging.html  Differential-Equations.html  Differentiation.html  Documentation-Categories.html  Elliptic-Functions.html  Equations.html  \
		Error-and-warning-messages.html  Evaluation.html  Expressions.html  File-Input-and-Output.html  Function-Definition.html\
		Function-and-Variable-Index.html  Groups.html  Help.html  Integration.html  Introduction-to-Maxima.html  Limits.html  Mathematical-Functions.html\
		Matrices-and-Linear-Algebra.html  Maximas-Database.html  Miscellaneous-Options.html  Number-Theory.html  Numerical.html  Operators.html  Plotting.html\
		Polynomials.html  Program-Flow.html  Rules-and-Patterns.html  Runtime-Environment.html  Sets.html  Simplification.html  Special-Functions.html\
		Sums-Products-and-Series.html  Symmetries.html  alt_002ddisplay_002dpkg.html  asympa_002dpkg.html  atensor.html  augmented_005flagrangian_002dpkg.html\
		bitwise_002dpkg.html  bode_002dpkg.html  celine_002dpkg.html  clebsch_005fgordan_002dpkg.html  cobyla_002dpkg.html  combinatorics_002dpkg.html  \
		contrib_005fode_002dpkg.html  ctensor.html  descriptive_002dpkg.html  diag_002dpkg.html  distrib_002dpkg.html  draw_002dpkg.html  drawdf_002dpkg.html\
		dynamics_002dpkg.html  engineering_002dformat_002dpkg.html  ezunits_002dpkg.html  f90_002dpkg.html  finance_002dpkg.html  fractals_002dpkg.html  \
		ggf_002dpkg.html  graphs_002dpkg.html  grobner_002dpkg.html  impdiff_002dpkg.html  index.html  interpol_002dpkg.html  itensor.html  lapack_002dpkg.html  \
		lbfgs_002dpkg.html  lindstedt_002dpkg.html  linearalgebra_002dpkg.html  lsquares_002dpkg.html  makeOrders_002dpkg.html  minpack_002dpkg.html  \
		mnewton_002dpkg.html  numericalio_002dpkg.html  odepack_002dpkg.html  operatingsystem_002dpkg.html  opsubst_002dpkg.html  orthopoly_002dpkg.html\
		ratpow_002dpkg.html  romberg_002dpkg.html  simplex_002dpkg.html  simplification_002dpkg.html  solve_005frec_002dpkg.html  stats_002dpkg.html\
		stirling_002dpkg.html  stringproc_002dpkg.html  to_005fpoly_005fsolve_002dpkg.html  unit_002dpkg.html  wrstcse_002dpkg.html  zeilberger_002dpkg.html 

	rm -f 	doc/man/de/Makefile doc/man/de/maxima.1 doc/man/ru/Makefile \
		interfaces/xmaxima/doc/Command_002dline-options.html interfaces/xmaxima/doc/Concept-Index.html \
		interfaces/xmaxima/doc/Entering-commands.html interfaces/xmaxima/doc/Getting-Help.html \
		interfaces/xmaxima/doc/Main-Window.html interfaces/xmaxima/doc/Openmath-plots.html \
		interfaces/xmaxima/doc/Session-control.html interfaces/xmaxima/doc/The-browser.html \
		interfaces/xmaxima/doc/index.html doc/info/de/build_html.sh doc/info/ja/Makefile doc/info/ru/Makefile \
		interfaces/xmaxima/doc/Xmaxima-plots.html share/contrib/symplectic_ode/Makefile doc/info/figures/favicon.ico \
		doc/info/build-html-index.log share/contrib/guess/Makefile share/contrib/lurkmathml/Makefile \
		share/raddenest/Makefile

	rm -f $(INSTALLS)
	rm -f debian/ChangeLog doc/info/de/include-maxima.texi doc/info/ja/include-maxima.texi doc/info/js_licenses.html doc/info/math.m4 doc/info/pt_BR/include-maxima.texi doc/info/ru/include-maxima.texi doc/info/texi2html-7.init share/nelder_mead/Makefile 

	dh_autoreconf_clean
	dh_clean


LOC_DOC=<a href=file://usr/share/doc/maxima/html/maxima_toc.html> (local copy) </a>

debian/%.install: debian/%.install.in
	cat $< | sed "s,@MVERS@,$(MVERS),g" >$@

INSTALLS:=$(shell ls -1 debian/*.install.in | sed 's,\.in$$,,1')

debian/%.pdf: debian/%.pdf.uu
	cat $< | uudecode >$@

CHANGELOGS:=$(shell ls -1 ChangeLog*)
debian/ChangeLog: $(CHANGELOGS)

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=4
#opts=pasv ftp://ftp.sf.net/m/ma/maxima/maxima-?_?([\w+\d+\.]+|\d+).tar.gz debian uupdate
opts="dversionmangle=s/\+dsfg//g,searchmode=plain" http://sf.net/maxima/maxima-([^-]*)\.tar.gz debian uupdate
